> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send one or more message objects

> If the Message has a schedule, then schedule one or more messages.  Each message must pass in a schedule instance.



## OpenAPI

````yaml /api-reference/4.2/service-messaging.json post /messaging/send
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service messaging
servers:
  - url: /api/apollo/
security: []
tags:
  - name: messaging
paths:
  /messaging/send:
    post:
      tags:
        - 4.2 Messaging API
      summary: Send one or more message objects
      description: >-
        If the Message has a schedule, then schedule one or more messages.  Each
        message must pass in a schedule instance.
      operationId: send
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Message'
        description: JSON-formatted list of messages and attributes
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
components:
  schemas:
    Message:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
        to:
          type: array
          readOnly: true
          items:
            type: string
        from:
          type: string
          readOnly: true
        subject:
          type: string
          readOnly: true
        body:
          type: string
          readOnly: true
        schedule:
          $ref: '#/components/schemas/Schedule'
        messageServiceParams:
          type: object
          readOnly: true
          additionalProperties:
            type: object
    MessageResponse:
      type: object
      properties:
        receipts:
          type: object
          readOnly: true
          additionalProperties:
            $ref: '#/components/schemas/MessageReceipt'
        scheduled:
          type: object
          readOnly: true
          additionalProperties:
            $ref: '#/components/schemas/MessageReceipt'
        removed:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        error:
          type: integer
          format: int32
        errorMessage:
          type: string
        errorThrowable:
          $ref: '#/components/schemas/Throwable'
        rateLimited:
          type: boolean
          default: false
        errorRetryable:
          type: boolean
          default: false
        errorContext:
          type: object
          additionalProperties:
            type: object
    Schedule:
      type: object
      properties:
        id:
          type: string
        creatorType:
          type: string
        creatorId:
          type: string
        createTime:
          type: string
          format: date-time
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        repeatUnit:
          type: string
          enum:
            - MILLISECOND
            - SECOND
            - MINUTE
            - HOUR
            - DAY
            - WEEK
            - MONTH
        interval:
          type: integer
          format: int32
        active:
          type: boolean
          default: false
        callParams:
          $ref: '#/components/schemas/CallParams'
    MessageReceipt:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        sent:
          type: string
          format: date-time
          readOnly: true
        sentBy:
          type: string
          readOnly: true
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: object
        error:
          $ref: '#/components/schemas/Throwable'
    Throwable:
      type: object
      properties:
        cause:
          $ref: '#/components/schemas/Throwable'
        stackTrace:
          type: array
          items:
            $ref: '#/components/schemas/StackTraceElement'
        message:
          type: string
        localizedMessage:
          type: string
        suppressed:
          type: array
          items:
            $ref: '#/components/schemas/Throwable'
    CallParams:
      type: object
      properties:
        uri:
          type: string
        method:
          type: string
          enum:
            - GET
            - PUT
            - POST
            - DELETE
        queryParams:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
        entity:
          type: object
    StackTraceElement:
      type: object
      properties:
        methodName:
          type: string
        fileName:
          type: string
        lineNumber:
          type: integer
          format: int32
        className:
          type: string
        nativeMethod:
          type: boolean
          default: false

````